package mac10.messages;

import org.w3c.dom.Element;

import de.dailab.jiactng.agentcore.knowledge.IFact;
import de.dailab.jiactng.agentcore.ontology.IAgentDescription;

public class SimEndMessage implements IFact {
	

   /**
    * 
    */
   private static final long serialVersionUID = 1117268269905852812L;

   private Element element = null;
   private IAgentDescription senderAgentDecription;

   public SimEndMessage(IAgentDescription senderAgentDecription, Element element) {
	   this.senderAgentDecription = senderAgentDecription;
	   this.element = element;
   }
   
   public String toString() {
		return("sim-end");
	}
   
   public IAgentDescription getSenderDescription() {
	   return senderAgentDecription;
   }
   
   public Element getSimEnd() {
	   return element;
   }
}
