package mac10.messages;

import de.dailab.jiactng.agentcore.knowledge.IFact;

public class PerceptionsFinishedMessage implements IFact {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1117268269905852812L;

	private int step;
	private long deadline;

	public PerceptionsFinishedMessage(int step, long deadline) {
		this.step = step;
		this.deadline = deadline;
	}

	public String toString() {
		return ("perceptions finished");
	}

	public int getStep() {
		return this.step;
	}

	public long getDeadline() {
		return this.deadline;
	}

}
